Order entry
List orders
Your API orders of the last 24 hours, newest first.
GET
/
portfolio
/
orders
List orders
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"orders": [
{
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}Authorizations
An API key from your account: Authorization: Bearer udk_<live|test>_<id>_<secret>.
Query Parameters
Market ticker (one window of a series), e.g. "btc-15m-261002-1400-1415". Opaque.
Pattern:
^[a-z0-9][a-z0-9-]{0,63}-\d{6}-\d{4}-\d{4}(d\d{1,2})?$Your id for the order, unique per account. Retrying with the same id never places a second order.
Pattern:
^[A-Za-z0-9._:-]{1,64}$Available options:
resting, executed, canceled Response
Your orders.
Show child attributes
Show child attributes
⌘I
List orders
curl --request GET \
--url https://api.updown.fast/trade-api/v1/portfolio/orders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.updown.fast/trade-api/v1/portfolio/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.updown.fast/trade-api/v1/portfolio/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"orders": [
{
"order_id": "<string>",
"client_order_id": "<string>",
"market_ticker": "<string>",
"outcome": "up",
"action": "buy",
"price": "<string>",
"time_in_force": "good_till_canceled",
"post_only": true,
"status": "resting",
"count": "<string>",
"fill_count": "<string>",
"remaining_count": "<string>",
"created_ts_ms": 4503599627370495,
"average_fill_price": "<string>",
"fees_paid": "<string>"
}
]
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}{
"code": "BAD_REQUEST",
"message": "<string>",
"details": "<string>"
}